Pre-Auth Capture Transaction API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Pre-Auth Capture Transaction API is used to complete (authorize) or cancel an Pre-Auth tranaction.

📘

Note:

This API endpoint is same as Sale API, but with action=SERVICE_POST_MPI_PRE_AUTH_COMPLETION and transactionTypeCode=9001 fields. For more information, refer to Sale using Visa Card API.

Sample request
curl -X POST https://areionsbi.pc.enstage-sas.com/saleservice/api/v1/authorize \
-H "Content-Type: application/json" \
-H "pgInstanceId: 720200" \
-d '{
  "header": {
    "version": "1.0.0.0",
    "pgInstanceId": "720200",
    "Authorization": "AF165FBD-4E85-4c66-BEB1C54DC16CD48B"
  },
  "body": {
    "merchantId": "123",
    "merchantRefernceNo": "dafa34",
    "pgTransactionId": "1232324df"
  }
}'
Response parameters
Field Name M/O/C Description Example

transactionId

M

Unique value generated for each transaction internally by the PG

123456

status

M

Transaction Status

50020 = SUCCESS

(any other value is a failure, full status codes shall be provided in appendix A)

pgErrorCode

M

PG Error Code

0 = No Error

(any other value means some kind of error, full error codes list shall be provided in appendix B)

pgErrorDetail

M

PG Error detail

pg error detail was not set

orderDesc

O

Brief description of items purchased of pre auth. Len: 0-50 chars

Apple iPOD 20GB

merchantReferenceNo

O

Merchant reference number of pre auth

AX143565

approvalCode

O

Approval code of Transaction of pre auth

560252

rrn

O

RRN no for reference of pre auth

104013006601

creditDebitCardFlag

O

Flag to say whether its credit card or debit card of pre auth

‘C’ – Credit card ‘D’ – Debit Card ‘P’ – Prepaid Card

ext1

O

Same value will be sent back as pg has received from merchant in the request of pre auth.

ext2

O

Same value will be sent back as pg has received from merchant in the request of pre auth.

ext3

O

Same value will be sent back as pg has received from merchant in the request of pre auth.

ext4

O

Same value will be sent back as pg has received from merchant in the request of pre auth.

ext5

O

Same value will be sent back as pg has received from merchant in the request of pre auth.

ext6

O

Same value will be sent back as pg has received from merchant in the request of pre auth.

ext7

O

Same value will be sent back as pg has

received from merchant in the request of pre auth

Sample response
{
      "status":"success",
      "errorcode":"0",
      "errormsg":"",
      "pgTransactionId":"32424",
      "rupayTransactionId":"10000000002332"
}
Body Params
string
required

This field must contain the PG instance ID.

string
required

This field must contain the merchant ID.

const
enum
required

This field must contain the any of the following action to be performed: SERVICE_POST_MPI_PRE_AUTH_COMPLETION SERVICE_POST_MPI_PRE_AUTH_CANCELLATION

Allowed:
integer
required

This field must include purchase amount including the minor units of currency with all punctuation removed, i.e., implied decimals and no formatting.

string
required

This field must include transaction ID where pre auth have been approved based on this transaction id the capture transaction occurs.

const
enum
Defaults to 9001

This field must include code of transaction types. It must be 9001 for Pre Auth.

Allowed:
Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!